Package org.silverpeas.mobile.shared.exceptions

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.mobile.shared.exceptions.AuthenticationException

- All Implemented Interfaces:
    `Serializable`

      public class AuthenticationException
      extends Exception

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AuthenticationException.AuthenticationError` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationException()` |
    `AuthenticationException​(Throwable throwable)` |
    `AuthenticationException​(AuthenticationException.AuthenticationError error)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuthenticationException.AuthenticationError` | `getError()` |
    `String` | `getLogin()` |
    `void` | `setLogin​(String login)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException()

    - #### AuthenticationException

          public AuthenticationException​(Throwable throwable)

    - #### AuthenticationException

          public AuthenticationException​(AuthenticationException.AuthenticationError error)

  - ### Method Detail

    - #### getLogin

          public String getLogin()

    - #### setLogin

          public void setLogin​(String login)

    - #### getError

          public AuthenticationException.AuthenticationError getError()